#!/bin/bash

#lock detection
echo "<<=========== install tools部署[开始] ==========>>"
date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
echo "<<=========== install tools部署[开始] ==========>>" >> /home/start.log
echo "##########" >> /home/start.log

LOCK_NAME="/tmp/winit.lock"
if (set -o noclobber ; echo "" > ${LOCK_NAME} ) 2> /dev/null;then
	echo "init start";
	echo "init start-1" >> /home/start.log
else
	echo "init err"
	echo "init err" >> /home/stop.log
	exit 1;
fi

#start install
apt-get update
apt-get upgrade -y
apt-get install ssh -y
apt-get install vim -y
apt-get install p7zip-full -y
apt-get install lrzsz -y
apt-get install sshpass -y
apt-get install tree -y
apt-get install htop -y
apt-get install curl -y
apt-get install ntpdate -y
apt-get install redis-server -y

curl -sL https://deb.nodesource.com/setup_12.x | sudo -E bash - 
if [ $? -eq 0 ];then
  echo -e "Node.js官方源写入成功                    \033[32m 完成 \033[0m"
  date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
  echo    "Node.js官方源写入成功----------------[完成]" >> /home/start.log
  echo "##########" >> /home/start.log
else
  echo -e "Node.js官方源12写入失败                  \033[31m 失败 \033[0m"
  date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/stop.log
  echo    "Node.js官方源写入失败-----------------[失败]" >> /home/stop.log
  echo "##########" >> /home/stop.log
  exit 1
fi
apt-get install  nodejs -y
npm i -g serve@13.0.2 --registry=https://registry.npmmirror.com
if [ $? -eq 0 ];then
  echo -e "指定serve版本安装成功                    \033[32m 完成 \033[0m"
  date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
  echo    "指定serve版本安装成功----------------[完成]" >> /home/start.log
  echo "##########" >> /home/start.log
else
  echo -e "指定serve版本安装失败                    \033[31m 失败 \033[0m"
  date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/stop.log
  echo    "指定serve版本安装失败-----------------[失败]" >> /home/stop.log
  echo "##########" >> /home/stop.log
  exit 1
fi

echo "instaall tools ok" 
echo "instaall tools ok" >> /home/start.log
